%def_disable static

Name: 	libmpcdec
Version: 1.2.2
Release: alt1
Summary: Portable Musepack decoder library
License: BSD
Group: System/Libraries
URL: http://www.musepack.net

Source: %name-%version.tar.bz2

# Automatically added by buildreq on Sun Jun 19 2005
BuildRequires: gcc-c++ libstdc++-devel

%description
Portable Musepack decoder library.

%package devel
Summary: Development part of %name
Group: Development/C
Requires: %name = %version-%release

%description devel
Contents header files and development libraries for %name

%package devel-static
Summary: Static libraries for %name
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
Contents static libraries for %name

%prep
%setup -q

%build
%configure %{subst_enable static}
%make_build CFLAGS="%optflags" CXXFLAGS="$CFLAGS"

%install
%makeinstall

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%_libdir/*.so.*

%files devel
%_libdir/*.so
%dir %_includedir/mpcdec
%_includedir/mpcdec/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif #static

%changelog
* Thu Jun 15 2006 LAKostis <lakostis at altlinux.ru> 1.2.2-alt1
- 1.2.2.
- disable static build by default.

* Sun Jun 19 2005 LAKostis <lakostis@altlinux.ru> 1.2-alt1
- first build for Sisyphus.

